package config;
use strict;
use warnings;
use Readonly;
use Exporter qw(import);
our @EXPORT = qw(%CFG @SEARCH_ENV_LOGGING %DEF_TPL_OPT %TPL_FILE);



Readonly::Hash our %CFG => (
	tpl           => 'default',
	lang          => 'en',
	num_results   => 10,
	search_uri    => $ENV{'SEARCH_URI'}||'http://127.0.0.1/cgi-bin/dispatcher_allbb',
	subname       => '',
	version       => 2.1,
	username      => $ENV{REMOTE_USER} || "anonymus", # TODO: Fix spelling
	#username      => "en", # DEBUG
	icon => {
		dir => "img/filetypes/24so",
		ext => "gif",
	},
	page_nav => {
		show_pages => 10, # How many page links in nav bar.
	},
	cache_timeout => 20, # seconds
	cache_uri_tpl => "http://%s/cgi-bin/ShowCache2bb?sign=%d&time=%d&D=%d&subname=%s",
	bbkey => "3fb09aa259aadaca8827087ff51ef231",
	slow_query_warning => 5,
);

Readonly::Hash our %TPL_FILE => (
	main    => "main.tpl",
	results => "results.tpl",
	error   => "error.tpl",
	cache   => "cache.tpl",
);

Readonly::Array our @SEARCH_ENV_LOGGING
	=> qw(HTTP_ACCEPT_LANGUAGE HTTP_USER_AGENT HTTP_REFERER);

Readonly::Hash our %DEF_TPL_OPT => (
    INCLUDE_PATH => './tpl/',
    COMPILE_EXT => 'ctt',
    COMPILE_DIR => $ENV{BOITHOHOME} . '/var/webclient2_tpl',
    binmode => ':utf8',
);



1;
